# vim:set ft=spec:
Name: wesnoth
Version: 1.2.1
Release: alt1

Group: Games/Strategy
Summary: 2D fantasy turn-based strategy
Summary(ru_RU.UTF-8): двухмерная пошаговая стратегия в стиле фэнтези
License: GPL
Url: http://www.wesnoth.org
Packager: Gleb Stiblo <ulfr@altlinux.ru>

Source0: %{name}_%{version}.orig.tar.gz
Source1: wesnoth.16.png
Source2: wesnoth.32.png
Source3: wesnoth.48.png
Source4: wesnothd
Patch01: 10_amd64_aipython.diff

BuildRequires: gcc-c++ XFree86-devel libpng-devel freetype2-devel
BuildRequires: libSDL-devel libSDL_mixer-devel libSDL_image-devel libSDL_ttf-devel libSDL_net-devel 
BuildRequires: libfribidi-devel

%description
Battle for Wesnoth is a fantasy turn-based strategy game.

Battle  for  control  of  villages,  using  variety of units which have
advantages and disadvantages in different types of terrains and against
different  types of attacks.  Units gain experience and advance levels,
and are carried over from one scenario to the next campaign.

Build a Hero, and lead your army.  Different  races,  with  distinctive
abilities, weapons and spells.

%description -l ru_RU.UTF-8
'Битва за Вэснот' это пошаговая стратегия в стите фэнтези.

Сражайся за контроль над деревнями, используя различные войска, которые
имеют свои преимущества и недостатки на разных типах территорий и против
разных типов атак. Войска получают опыт и повышают уровни, также они могут
переходить со сценария на следующий сценарий в кампании.

Создай Героя и поведи вперёд свою армию. Различные рассы с различными
способностями, оружием и заклятиями.

%package server
Group: Games/Strategy
Summary: %name server for multiplayer games
Summary(ru_RU.UTF-8): выделенный сервер для многопользовательских игр

%description server
Battle for Wesnoth multiplayer network daemon.

%description server -l ru_RU.UTF-8
Выделенный сервер для многопользовательских игр 'Битва за Вэснот'.

%prep
%setup -q -n %name-%version
%patch01 -p1

%build
%__aclocal
%__automake
%__autoconf
%configure --datadir=%_gamesdatadir --bindir=%_gamesbindir --with-datadir-name="%name" \
		--enable-server --enable-editor --enable-campaign-server --enable-tools \
		--with-kde --with-gnome --disable-gnome1 --with-fribidi
%make_build

%install
%make_install install DESTDIR=%buildroot
#./utils/splittree %buildroot%_gamesdatadir/%name --zip
%__mkdir_p %buildroot%_datadir/applications
%__mv %buildroot%_gamesdatadir/applications/%name.desktop %buildroot%_datadir/applications/
#__subst "s/Categories=Application;Game;StrategyGame;/Amusement;Strategy/g" %buildroot%_datadir/applications/%name.desktop

%__mkdir_p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name <<EOF
?package(%name): \
    title="Wesnoth" \
    section="Amusement/Strategy" \
    command="%_gamesbindir/%name" \
    needs="x11" \
    icon="%name.png" \
    longtitle="2D fantasy turn-based strategy"
EOF

cat > %buildroot/%_menudir/%{name}_editor <<EOF
?package(%name): \
    title="Wesnoth Editor" \
    section="Amusement/Strategy" \
    command="%_gamesbindir/%{name}_editor" \
    needs="x11" \
    icon="%name.png" \
    longtitle="Battle for Wesnoth Level editor"
EOF

%__mkdir_p %buildroot/{%_miconsdir,%_liconsdir}
%__mkdir_p %buildroot%_initdir
%__install -p -m 644 %SOURCE1 %buildroot%_miconsdir/%name.png
%__install -p -m 644 %SOURCE2 %buildroot%_iconsdir/%name.png
%__install -p -m 644 %SOURCE3 %buildroot%_liconsdir/%name.png
%__install -p -m 755 %SOURCE4 %buildroot%_initdir/wesnothd
%__rm -f %buildroot/%_gamesdatadir/%name/data/ais/sample.py

%preun server
%preun_service wesnothd
%post
%update_menus

%postun
%clean_menus

%post server
%post_service wesnothd

%postun server
[ -x %_initdir/wesnothd ] && %_initdir/wesnothd condrestart

%files
%doc README MANUAL* copyright changelog COPYING

%ifdef _desktopdir
%_desktopdir/*
%else
%_menudir/*
%endif

%_gamesbindir/%name
%_gamesbindir/%{name}_editor

%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png

%_gamesdatadir/%name

%_man6dir/%name.*
%_man6dir/%{name}_editor*

#/usr/games/cutter
#/usr/games/exploder
#/usr/games/wmlxgettext


%files server
%doc README copyright COPYING
%_gamesbindir/%{name}d
%_man6dir/%{name}d.*
%config %_sysconfdir/rc.d/init.d/wesnothd

%changelog
* Fri Jan 19 2007 Gleb Stiblo <ulfr@altlinux.ru> 1.2.1-alt1
- new version
- 10449 fix

* Fri Dec 15 2006 Gleb Stiblo <ulfr@altlinux.ru> 1.1.13-alt1
- new version

* Tue Oct 10 2006 Gleb Stiblo <ulfr@altlinux.ru> 1.1.11-alt1
- new version

* Tue Oct 03 2006 Gleb Stiblo <ulfr@altlinux.ru> 1.1.10-alt1
- new version
- use fribidi

* Thu Jun 29 2006 Gleb Stiblo <ulfr@altlinux.ru> 1.1.7-alt1
- new version

* Tue May 23 2006 Gleb Stiblo <ulfr@altlinux.ru> 1.1.2-alt1
- new version

* Fri Dec 09 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.0.2-alt1
- new version

* Wed Oct 26 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.0.1-alt1
- new verison

* Mon Oct 10 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.0-alt3
- added .spec

* Fri Oct 07 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.0-alt2
- temporary removed soundwrapper
- long title fixed

* Tue Oct 04 2005 Gleb Stiblo <ulfr@altlinux.ru> 1.0-alt1
- 1.0 release

* Mon Aug 22 2005 Gleb Stiblo <ulfr@altlinux.ru> 0.9.5-alt1
- new upstream version

* Tue Jul 26 2005 Gleb Stiblo <ulfr@altlinux.ru> 0.9.4-alt1
- new upstream version

* Tue Jul 12 2005 Gleb Stiblo <ulfr@altlinux.ru> 0.9.3-alt1
- user interface improvements
- updated translations and documentation
- campaigns and units fixing and balancing
- some new unit and terrains graphics

* Thu Jun 09 2005 Gleb Stiblo <ulfr@altlinux.ru> 0.9.2-alt1
- lots of improvements in the user interface.
- several bugs in campaigns have already been fixed and
  lots of new death animations.
- the Drakes get reinforcements, with their new level 3 units.
- there are also a great number of changes regarding
  multiplayer balancement and most multiplayer maps have
  been replaced by new ones.

* Wed May 04 2005 Gleb Stiblo <ulfr@altlinux.ru> 0.9.1-alt1
- New upstream version
- Many bugs have been fixed

* Wed Apr 13 2005 Gleb Stiblo <ulfr@altlinux.ru> 0.9.0-alt1
- new release
- init script for server

* Tue Mar 01 2005 Gleb Stiblo <ulfr@altlinux.ru> 0.8.11-alt1
- new bugfix release

* Tue Feb 08 2005 Gleb Stiblo <ulfr@altlinux.ru> 0.8.10-alt1
- new release

* Wed Jan 26 2005 Gleb Stiblo <ulfr@altlinux.ru> 0.8.9-alt1
- new version

* Mon Oct 18 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.8-alt2
- menu group fixed

* Tue Jul 06 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.8-alt1
- new version

* Mon May 03 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.7-alt2
- glibc 2.3 build

 Wed Mar 24 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.7-alt1
- Ver 0.7
- New maps, new units, new music. A lot of fixes and improvements

* Fri Jan 30 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.6.1-alt1
- ver 0.6.1.

* Thu Jan 29 2004 Gleb Stiblo <ulfr@altlinux.ru> 0.4.8-alt1
- ALT adaptations.

